package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsArticle;
import com.ruoyi.system.domain.vo.ZsArticleVo;
import com.ruoyi.system.domain.bo.ZsArticleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点文章管理Service接口
 *
 * @author 王强
 * @date 2025-04-29
 */
public interface IZsArticleService {

    /**
     * 查询站点文章管理
     */
    ZsArticleVo queryById(Long id);

    /**
     * 查询站点文章管理列表
     */
    TableDataInfo<ZsArticleVo> queryPageList(ZsArticleBo bo, PageQuery pageQuery);

    /**
     * 查询站点文章管理列表
     */
    List<ZsArticleVo> queryList(ZsArticleBo bo);

    /**
     * 新增站点文章管理
     */
    Boolean insertByBo(ZsArticleBo bo);

    /**
     * 修改站点文章管理
     */
    Boolean updateByBo(ZsArticleBo bo);

    /**
     * 校验并批量删除站点文章管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
